终于在 Debian 系统安装使用上了 shadowsocks, 以前尝试安装 command-line-client 失败,这次换 shadowsocks-qt5的.

Github 上步骤说明比较简单,参考了「Kali Linux 下安装 Shadowsocks-qt5」,具体操作记录如下:

  1. 安装依赖环境库
apt-get install qt5-qmake qtbase5-dev libqrencode-dev libqtshadowsocks-dev libappindicator-dev libzbar-dev libbotan1.10-dev
  1. git shadowsocks-qt5 源码

    git clone https://github.com/shadowsocks/shadowsocks-qt5.git

cd shadowsocks-qt5
qmake && make
  1. dpkg-buildpackage -uc -us -b

  2. 安装 shadowsocks-qt5
dpkg -i ../shadowsocks-qt5-<version>.deb

补充说明:

  • libqtshadowsocks-dev 需要编译安装

    1. git clone https://github.com/shadowsocks/libQtShadowsocks.git

    2. apt-get qtbase5-dev qt5-make qt5-default libbotan1.10-dev unzip debhelper

    cd libQtShadowsocks
    qmake && make   //编译
    1. dpkg-buildpackage -uc -us -b //打包

    2. 安装:编译打包好了 3 个安装包在上级目录下
      dpkg -i ../libqtshadowsocks<version>.deb ../libqtshadowsocks-dev<version>.deb
  • apt-get install libzbar-dev 出错

    unable locate the package

    解决方法:aptitude libzbar-dev

问题:

apt-get install, aptitude install, dpkg -i 区别

  • dpkg -i 主要用来安装已下载好的 .deb 安装包
  • apt-get install 用来连接网络安装软件,会在软件库中寻找
  • aptitude install 也用来在线安装软件,但可以解决软件包之间依赖关系

在 APT(advanced packaging tools)中文 wiki 解释里看到有意思的彩蛋

apt-get moo
aptitude moo
apt-build

2017-10-01 11:11
Comments
Write a Comment